Bug 131958 - RHEL 3 U3 breaks GFS
RHEL 3 U3 breaks GFS
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Kiersten (Kerri) Anderson
GFS Bugs
Depends On:
Blocks: 137219
  Show dependency treegraph
Reported: 2004-09-07 09:39 EDT by Chris Evich
Modified: 2010-01-11 21:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-08 08:31:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fixed GFS spec (16.53 KB, text/plain)
2004-09-07 09:43 EDT, Chris Evich
no flags Details

  None (edit)
Description Chris Evich 2004-09-07 09:39:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)

Description of problem:
There are a few problems with the GFS package (binary and src) and
RHEL U3.  GFS includes kernel modules, and the latest release "7.1"
has the kernel source packages explicitly tied to the 15.0.4 Kernel. 
So, if you're upgrade your kernel to U3-


        Also, the src RPM will fail to build for basically the same
reason and you will not be able to re-install the binary RPM. In
Hacking around this problem I also found another: the src RPM fails to
build on the "athlon" arch.  For some reason this arch shows up via
uname as "i386 athlon".  
        Anyway, I fixed the above problems (the first as somewhat of
kludge) and rebuild the src RPM.  It now builds and installs on RHEL
U3 on the athlon arch.  Please see attached package if you want the

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Update to RHEL 3 U3 kernel
2.Install or rebuild GFS package

Actual Results:  The install / Build Fails

Expected Results:  Package should install

Additional info:
Comment 1 Chris Evich 2004-09-07 09:43:46 EDT
Created attachment 103540 [details]
fixed GFS spec

Mainly I hacked the kernel source patching code, it's not very pretty but it
works.	I didn't have any failed hunks patching the U3 "20" kernel source
eventhough the patches are for 15.0.4
Comment 2 Kiersten (Kerri) Anderson 2004-09-07 10:38:03 EDT
There are new GFS RPMs generated to work with U3.  These should be up
on RHN.  I will check today to make sure they are.
Comment 3 Kiersten (Kerri) Anderson 2004-09-08 08:31:27 EDT
RPMs were released on RHN yesterday.

Note You need to log in before you can comment on or make changes to this bug.